% subsref

function val = subsref(opt, s)

  ss = s(1);
  switch ss.type 
    case '.'
      val = get(opt, ss.subs);
    otherwise
      error('Dunno how to %s index an Optickle.', ss.type);
  end

  % let result deal with later indices
  if( length(s) > 1 )
    val = subsref(val, s(2:end));
  end

